module.exports = {
	siteName: 'Snipette',
	siteUrl: 'https://beta.snipettemag.com',
	siteDescription: 'Your weekly dose of perspective, understandibility and fun',
	titleTemplate: `%s - Snipette`,

	mediaUrlFrom: 'https://snipette-ghost.herokuapp.com/content/images/',
	mediaUrlTo: 'https://media.snipettemag.com/',

	templates: {
		GhostPost: '/:slug',
		GhostPage: '/:slug',
		GhostTag: '/tag/:slug',
		GhostAuthor: '/author/:slug'
	},

	plugins: [
		{
			use: '@gridsome/plugin-google-analytics',
			options: {
				id: 'UA-XXXXXXXXX-X'
			}
		},
		{
			use: '@gridsome/source-ghost',
			options: {
				baseUrl: process.env.GHOST_API_URL,
				contentKey: process.env.GHOST_CONTENT_KEY,
				routes: {
					post: '/:slug',
					page: '/:slug',
					author: '/author/:slug'
				}
			}
		},
	]
}
